#!/usr/bin/python

# import PyEPL symbols into this namespace:
from pyepl.locals import *

# Set the current version
VERSION = '0.1.1'
MIN_PYEPL_VERSION = '1.0.0'

# only do this if the experiment is run as a stand-alone program (not imported as a library)...
if __name__ == "__main__":
    # make sure we have the min pyepl version
    checkVersion(MIN_PYEPL_VERSION)
    # set up the experiment...
    exp = Experiment(subject = "test")
    exp.parseArgs()
    exp.setup()

    # allow users to break out of the experiment with escape-F1 (the default key combo)
    exp.setBreak()

    # get the subject configuration
    config = exp.getConfig()

    # set up some tracks
    video = VideoTrack("video")
    keyboard = KeyTrack("keyboard")
    eeg = EEGTrack("eeg")
    
    # now send pulses while waiting for key.
    video.clear("black")
    waitForAnyKey(showable =  Text("Sending pulses...\nPress any key to quit."))

